<form #veiculoForm="ngForm" (ngSubmit)="salvarVeiculo(veiculoForm);">

  <div class="col-md-12 mt-3">
    <div class="row">
      <!-- <div class="col-md-6" *ngIf="veiculo.id != 0">
        <div class="form-group">
          <label>Identificador:</label> -->
      <input type="hidden" class="form-control" name="id" id="id" [(ngModel)]="veiculo.id" #id="ngModel" readonly>
      <!-- </div>
      </div> -->

      <div class="col-md-6">
        <div class="form-group">
          <label>Modelo:</label>
          <input type="text" class="form-control" name="modelo" id="modelo" [(ngModel)]="veiculo.modelo" #modelo="ngModel" autocomplete="off"
            required>

          <div [hidden]="modelo.valid || modelo.pristine">
            <span class="text-danger">Campo de preenchimento obrigatório.</span>
          </div>
        </div>
      </div>

      <div class="col-md-6">
        <div class="form-group">
          <label>Fabricante:</label>
          <input type="text" class="form-control" name="fabricante" id="fabricante" [(ngModel)]="veiculo.fabricante" #fabricante="ngModel"
            autocomplete="off" required>

          <div [hidden]="fabricante.valid || fabricante.pristine">
            <span class="text-danger">Campo de preenchimento obrigatório.</span>
          </div>
        </div>
      </div>

      <div class="col-md-6">
        <div class="form-group">
          <label>Versão:</label>
          <input type="text" class="form-control" name="versao" id="versao" [(ngModel)]="veiculo.versao" #versao="ngModel" autocomplete="off"
            required>

          <div [hidden]="versao.valid || versao.pristine">
            <span class="text-danger">Campo de preenchimento obrigatório.</span>
          </div>
        </div>
      </div>

      <div class="col-md-6">
        <div class="form-group">
          <label>Cor:</label>
          <input type="text" class="form-control" name="cor" id="cor" [(ngModel)]="veiculo.cor" #cor="ngModel" autocomplete="off" required>

          <div [hidden]="cor.valid || cor.pristine">
            <span class="text-danger">Campo de preenchimento obrigatório.</span>
          </div>
        </div>
      </div>

      <div class="col-md-6">
        <div class="form-group">
          <label>Placa:</label>
          <input type="text" class="form-control" name="placa" id="placa" [(ngModel)]="veiculo.placa" #placa="ngModel" autocomplete="off"
            required>

          <div [hidden]="placa.valid || placa.pristine">
            <span class="text-danger">Campo de preenchimento obrigatório.</span>
          </div>
        </div>
      </div>

      <div class="col-md-6">
        <div class="form-group">
          <label>Portas:</label>
          <input type="text" class="form-control" name="portas" id="portas" [(ngModel)]="veiculo.portas" #portas="ngModel" autocomplete="off"
            required>

          <div [hidden]="portas.valid || portas.pristine">
            <span class="text-danger">Campo de preenchimento obrigatório.</span>
          </div>
        </div>
      </div>
    </div>

    <button type="button" class="btn btn-danger" routerLink="/admin/veiculo">
      Voltar
    </button>

    <button type="submit" class="btn btn-success pull-right" [disabled]="! veiculoForm.valid">
      Salvar
    </button>
  </div>

</form>